### Method

# Gck Object set

#### Declaration [src]

    gboolean
    gck_object_set (
      GckObject* self,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set PKCS#11 attributes on an object. This call may block for an indefinite period.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to set on the object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellable object, or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the call was successful or not.